package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OnboardingBeisenFacadeFactory
{
    private OnboardingBeisenFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("CF176C44") ,com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade.class);
    }
    
    public static com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("CF176C44") ,com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("CF176C44"));
    }
    public static com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IOnboardingBeisenFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("CF176C44"));
    }
}